﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using CoreGetAppSettings.Web.Models;
using Microsoft.Extensions.Options;

namespace CoreGetAppSettings.Web.Controllers
{
    public class HomeController : Controller
    {
        public StarInfo StarInfoConfig;
        public Job JobConfig;
        public List<JobItem> JobListConfig;
        //重写构造函数，包含注入的配置信息
        public HomeController(IOptions<StarInfo> setting, IOptions<Job> jobsetting, IOptions<List<JobItem>> joblistsetting)
        {
            StarInfoConfig = setting.Value;
            JobConfig = jobsetting.Value;
            JobListConfig = joblistsetting.Value;
        }
        public IActionResult Index()
        {
            string portstr = StarInfoConfig.Port.ToString();
            string jobname = JobConfig.Name;
            string liststr = "";
            JobListConfig.ForEach(item =>
            {
                liststr += item.Name + "," + item.Age + "," + item.Sex + "|||||";
            });
            ViewBag.portstr = portstr;
            ViewBag.jobname = jobname;
            ViewBag.liststr = liststr;
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
